package fr.emse.gitlab.saref;

public class SAREFPipelineException extends Exception {
	
	private final String type;

	public SAREFPipelineException() {
		this.type = null;
	}

	public SAREFPipelineException(String type) {
		this.type = type;
	}
	
	public SAREFPipelineException(String type, String message) {
		super(message);
		this.type = type;
	}
	
	public SAREFPipelineException(String type, String message, Throwable cause) {
		super(message, cause);
		this.type = type;
	}
	
	public SAREFPipelineException(String type, Throwable cause) {
		super(cause);
		this.type = type;
	}

	public String getType() {
		return type;
	}

}
